Bug 146083 - 20041212 Clear ebp on sysenter return
20041212 Clear ebp on sysenter return
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Dave Jones
: Security
Depends On:
Blocks: 144195
  Show dependency treegraph
Reported: 2005-01-25 04:42 EST by Mark J. Cox (Product Security)
Modified: 2015-01-04 17:16 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-02-18 12:20:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2005-01-25 04:42:45 EST
A small information leak was found by Brad Spengler, but it isn't thought to be
useful for exploitation.  Since this was fixed in FC* adding a tracking bug for EL4.

Fixed in 2.6: 
Comment 1 Arjan van de Ven 2005-02-09 21:21:08 EST
this patch is bogus for rhel4 since we don't enable sysenter at all.
Comment 2 Dave Jones 2005-02-09 22:43:08 EST
we do if we run 32bit OS on a CPU with NX.
Comment 3 Josh Bressers 2005-02-18 12:20:54 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.